Luxor PlatformAPI DocumentationCommanderParts
Update part note
Updates the content of an existing note on a part.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Path Parameters
part_id*string
Format
uuidnote_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v2/commander/parts/497f6eca-6276-4993-bfeb-53cbbbba6f08/notes/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "content": "Ordered replacements from supplier." }'{ "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "part_id": "28c660ae-a12c-4da7-9243-03385b104cf1", "content": "Ordered replacements from supplier.", "created_by": "string", "created_at": "2026-04-20T10:15:00Z", "updated_at": "2026-04-20T10:15:00Z"}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}{ "statusCode": 403, "code": "7", "error": "Forbidden", "message": "[permission_denied] site_id does not belong to this workspace"}{ "statusCode": 404, "code": "5", "error": "Not Found", "message": "[not_found] agent not found"}